SdkManager 1.6.1 | Drive OS 5.2.0 SDK | Can't flash Device, Flash Error 53

Software Version
DRIVE OS Linux 5.2.6
DRIVE OS Linux 5.2.0
DRIVE OS Linux 5.2.0 and DriveWorks 3.5
NVIDIA DRIVE™ Software 10.0 (Linux)
NVIDIA DRIVE™ Software 9.0 (Linux)
other DRIVE OS version
other

Target Operating System
Linux
QNX
other

Hardware Platform
NVIDIA DRIVE™ AGX Xavier DevKit (E3550)
NVIDIA DRIVE™ AGX Pegasus DevKit (E3550)
other

SDK Manager Version
1.6.0.8170
1.6.1.8175

Host Machine Version
native Ubuntu 18.04 bionic
other

Hey,

we first tried 5.2.6 but had problems to get the displays up and running.
We followed the “Finalize DRIVE AGX System Setup” introductions, but without success.

So we decided to downgrade and give 5.2.0 a chance.
We have to complete uninstall CUDA and TensorRT, because of dependency issues.
After we managed to build everything with the sdkmanager for 5.2.0 we are not able to flash the device anymore.

It ends with Error 53.

SDKM_logs_2021-09-08_18-50-14.zip (770.0 KB)

There is also no action on the Serial Ports ttyUSB2 and ttyUSB6, but we have access to NvShell over ttyUSB3.
version: “DRIVE-V5.2.6-E3550-AFW-Aurix-With3LSS-StepA-4.04.01”

Thanks for your’r support!

1 Like

Hi @navid2,

I found you were using python 3.8 in below log.

[bootburnTegra-B]: [executeShellCommand(154)] : shell command – /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flash/nvimagegen --signbin /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flashing_kernel/flashing_bl/t19x/nvtboot_applet.bin PLDT --chip 0x19 failed^M
[bootburnTegra-A]: [executeShellCommand(154)] : shell command – /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flash/nvimagegen --signbin /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flashing_kernel/flashing_bl/t19x/nvtboot_applet.bin PLDT --chip 0x19 failed^M
[bootburnTegra-B]: [executeShellCommand(156)] : {‘returncode’: 15, ‘cmd’: [’/home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flash/nvimagegen’, ‘–signbin’, ‘/home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flashing_kernel/flashing_bl/t19x/nvtboot_applet.bin’, ‘PLDT’, ‘–chip’, ‘0x19’], ‘output’: b’Traceback (most recent call last):\n File “/home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/bootburn_t19x_py/__temp_t194/Tegra-B-35436b0a6c8/rcm-flash/applet/tegrasign_v3_util.py”, line 238, in exec_file\n subprocess.Popen([bin_name], stdout=subprocess.PIPE, stderr=subprocess.STDOUT, shell=use_shell, env=cmd_environ)\n File “/usr/lib/python3.8/subprocess.py”, line 854, in init\n self._execute_child(args, executable, preexec_fn, close_fds,\n File “/usr/lib/python3.8/subprocess.py”, line 1702, in _execute_child\n raise child_exception_type(errno_num, err_msg, err_filename)\nFileNotFoundError: [Errno 2] No such file or directory: ‘tegraopenssl’\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File “./tegrasign_v3.py”, line 320, in tegrasign\n compute_sha(args_sha, args_file, offset, length)\n File “./tegrasign_v3.py”, line 21, in compute_sha\n do_sha((256/8), filename, offset, length)\n File “/home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/bootburn_t19x_py/__temp_t194/Tegra-B-35436b0a6c8/rcm-flash/applet/tegrasign_v3_internal.py”, line 746, in do_sha\n command = exec_file(TegraOpenssl)\n File “/home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/bootburn_t19x_py/__temp_t194/Tegra-B-35436b0a6c8/rcm-flash/applet/tegrasign_v3_util.py”, line 240, in exec_file\n raise tegrasign_exception(‘Could not find ’ + bin_name)\ntegrasign_v3_util.tegrasign_exception: ‘Could not find tegraopenssl’\n\nEncounter exception when signing: ‘Could not find tegraopenssl’\n********* Error. Quitting. *********\nstart nvimagegen\narguments: /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flash/nvimagegen --signbin /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flashing_kernel/flashing_bl/t19x/nvtboot_applet.bin PLDT --chip 0x19\nSigning binary /home/imperium/nvidia/nvidia_sdk/DRIVE_OS_5.2.0_SDK_Linux_OS_DRIVE_AGX_XAVIER/DRIVEOS/drive-t186ref-foundation/tools/host/flashtools/flashing_kernel/flashing_bl/t19x/nvtboot_applet.bin\n:[E]: SignBinary : 671: Error ResourceError (0x9)\n:[E]: tegrasign invokation failied:[E]: SignBuffer : 762: Error ResourceError (0x9)\n:[E]: AppendGenHeaderSignBufferT19x : 265: Error ResourceError (0x9)\n:[E]: Error in signing Binary with SHA256:[E]: WriteBufferToFile : 86: Error FileWriteFailed (0xf)\n:[E]: Unable to write to file nvtboot_applet_zerosign.bin\n:[E]: AppendGenHeaderSignBianry : 329: Error FileWriteFailed (0xf)\n:[E]: Unable to write to nvtboot_applet_zerosign.bin:[E]: AppendGenHeaderSignSpecificBinaryT19x: 382: Error FileWriteFailed (0xf)\n’, ‘stderr’: None}^M

Please help to make sure use python version 3.6 or 2.7, e.g. below is my setup, and then try again. Thanks.

$ python -V
Python 2.7.17

Please take a look at the below topic for this.

This worked for me!
I switched with “sudo update-alternatives --config python” from ‘auto’ to’3.6’.

With 5.2.0 i was also able to get the Desktop running.

Thanks for this fast support!

Thanks for sharing back.